<!DOCTYPE html>
<html>
<head>
  <title>Admin Page</title>
  <style>
    body {
      font-family: Arial, sans-serif;
      background-color: #f4f4f4;
      margin: 0;
      padding: 20px;
    }
    a {
      display: block;
      margin-bottom: 20px;
      color: #007BFF;
      text-decoration: none;
    }
    a:hover {
      text-decoration: underline;
    }
    h2 {
      color: #333;
    }
    ul {
      list-style-type: none;
      padding: 0;
    }
    ul li {
      background: #fff;
      margin: 5px 0;
      padding: 10px;
      border: 1px solid #ddd;
      border-radius: 4px;
    }
    #thechoosenone {
      font-size: 18px;
      margin-bottom: 20px;
    }
    button {
      background-color: #007BFF;
      color: white;
      border: none;
      padding: 10px 20px;
      margin: 5px;
      border-radius: 4px;
      cursor: pointer;
    }
    button:hover {
      background-color: #0056b3;
    }
    button:disabled {
      background-color: #ccc;
      cursor: not-allowed;
    }
  </style>
</head>
<body>
  <a href="/">Go to User Page</a>
  <h2>Players:</h2>
  <ul id="playerList"></ul>
  <h2>Scores:</h2>
  <ul id="scoreList"></ul>  
  <p id="thechoosenone"> Choose a Category to start the game </p>
  <button id="geschichteButton">Geschichte</button>
  <button id="geografieButton">Geografie</button>
  <button id="sportButton">Sport</button>  
  <button id="nextButton">Next</button>  
  <button id="resetButton">Reset</button>    
  <script src="/socket.io/socket.io.js"></script>
  <script>
    const socket = io();
    document.getElementById('resetButton').style.display = 'none';
    document.getElementById('nextButton').style.display = 'none';    
    
    socket.on('connect', () => {
      console.log('Connected to the server admin');
    });
    
    socket.on('players', (players) => {
      const playerList = document.getElementById('playerList');
      playerList.innerHTML = '';
      for (const id in players) {
        const li = document.createElement('li');
        li.textContent = players[id].name;
        playerList.appendChild(li);
      }
    });
    
    document.getElementById('geschichteButton').addEventListener('click', () => {
      socket.emit('category', "Geschichte");
      socket.emit('start', getPlayersFromList());
      document.getElementById('thechoosenone').style.display = 'none';      
      document.getElementById('geschichteButton').style.display = 'none';
      document.getElementById('geografieButton').style.display = 'none';
      document.getElementById('sportButton').style.display = 'none';      
      document.getElementById('nextButton').style.display = 'inline';          
    });
    
    document.getElementById('geografieButton').addEventListener('click', () => {
      socket.emit('category', "Geografie");
      socket.emit('start', getPlayersFromList());
      document.getElementById('thechoosenone').style.display = 'none';
      document.getElementById('geschichteButton').style.display = 'none';
      document.getElementById('geografieButton').style.display = 'none';
      document.getElementById('sportButton').style.display = 'none';      
      document.getElementById('nextButton').style.display = 'inline';          
    });
    
    document.getElementById('sportButton').addEventListener('click', () => {
      socket.emit('category', "Sport");
      socket.emit('start', getPlayersFromList());
      document.getElementById('thechoosenone').style.display = 'none';      
      document.getElementById('geschichteButton').style.display = 'none';
      document.getElementById('geografieButton').style.display = 'none';
      document.getElementById('sportButton').style.display = 'none';      
      document.getElementById('nextButton').style.display = 'inline';          
    });
    
    function getPlayersFromList() {
  const playerList = document.getElementById('playerList');
  const players = [];

  for (let i = 0; i < playerList.children.length; i++) {
    const playerName = playerList.children[i].textContent;
    players.push(playerName);
  }

  return players;
}
    
    document.getElementById('nextButton').addEventListener('click', () => {
      socket.emit('start');     
    });
    
    socket.on('scores', (players) => {
      const scoreList = document.getElementById('scoreList');
      scoreList.innerHTML = '';
      for (const id in players) {
        const li = document.createElement('li');
        li.textContent = `${players[id].name}: ${players[id].score}`;
        scoreList.appendChild(li);
      }
    });
    
    socket.on('end', () => {
      document.getElementById('resetButton').style.display = 'inline';
      document.getElementById('nextButton').style.display = 'none';                
    });
    
    document.getElementById('resetButton').addEventListener('click', () => {
      document.getElementById('thechoosenone').style.display = 'inline';            
      document.getElementById('geschichteButton').style.display = 'inline';
      document.getElementById('geografieButton').style.display = 'inline';
      document.getElementById('sportButton').style.display = 'inline';            
      document.getElementById('resetButton').style.display = 'none';
      document.getElementById('nextButton').style.display = 'none';    
      const playerList = document.getElementById('playerList');
      playerList.innerHTML = '';
      const scoreList = document.getElementById('scoreList');
      scoreList.innerHTML = '';
      socket.emit('reset');     
    });
  </script>
</body>
</html>